Bug 229391 - Review Request: system-config-kdump - graphical tool for configuring kernel crash dumps
Review Request: system-config-kdump - graphical tool for configuring kernel c...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-20 15:00 EST by David Lehman
Modified: 2009-01-07 13:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 12:53:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2007-02-20 15:00:25 EST
Spec URL: http://people.redhat.com/dlehman/s-c-kdump/system-config-kdump.spec
SRPM URL: http://people.redhat.com/dlehman/s-c-kdump/system-config-kdump-1.0.9-3.el5.src.rpm
Description: 
system-config-kdump is a graphical tool for configuring kernel crash
dumping via kdump and kexec.
Comment 1 David Lehman 2007-02-20 15:05:42 EST
This being my first package, I will need a sponsor.
Comment 2 Rahul Sundaram 2007-02-21 11:46:06 EST
Perhaps you can call this package s-c-crashdump or something more generic. We
have  had several different implementations to get kernel crash dumps. Maybe we
will have a different one in the future. Just a suggestion. 
Comment 3 David Lehman 2007-02-21 18:40:05 EST
This package only intends to configure crash dumping via kdump/kexec, hence the
name.
Comment 4 Adel Gadllah 2007-07-19 18:32:04 EDT
I am not sponsored yet so this is no real review:

MUST: rpmlint must be run on every package. The output should be posted in the
review.
->ok (no output)

MUST: The package must be named according to the Package Naming Guidelines.
->ok

MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on  Package Naming Guidelines. 
->ok

MUST: The package must meet the  Packaging Guidelines.
->NOT ok:
- please add %{?_smp_mflags} to make
- use a URL for Source and not just the tarball's name

MUST: The package must be licensed with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
-> ok

MUST: The License field in the package spec file must match the actual license.
->ok

MUST: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
->ok

MUST: The spec file must be written in American English.
->ok

MUST: The spec file for the package MUST be legible. 
->ok

MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
->NOT ok: no url provided for Source and URL results in 404 Error => can't check

MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
-> ok (builds fine on x86_64; is a noarch package)


MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture.

->NOT ok: s390 s390x excluded without comments I think this is due to no kdump
support on this arches correct? 

MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional.
->ok

MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
->ok

MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
->ok (no libs)

MUST: If the package is designed to be relocatable, the packager must state this
fact in the request for review, along with the rationalization for relocation of
that specific package.
->ok (not relocateable)

MUST: A package must own all directories that it creates. 
->ok

MUST: A package must not contain any duplicate files in the %files listing.
->ok

MUST: Permissions on files must be set properly.
->ok

MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
->ok

MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines. 
->ok

MUST: The package must contain code, or permissable content.
->ok

MUST: Large documentation files should go in a -doc subpackage.
->ok (no large docs)

MUST: If a package includes something as %doc, it must not affect the runtime of
the application.
->ok

MUST: Header files must be in a -devel package.
->ok (no devel package)

MUST: Static libraries must be in a -static package.
->ok (no static libs)

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
->ok (no pkgconfig files)

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
->ok (no libs)

MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
->ok (no devel package)

MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
->ok

MUST: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section.
->ok

MUST: Packages must not own files or directories already owned by other packages. 
->ok

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
->ok

MUST: All filenames in rpm packages must be valid UTF-8.
->ok

----

Summary:
Package looks good. Only a few issues:
- Use a URL for Source
- Fix URL
- use smp_flags
- Add comments to the ExcludeArch (I assume that there is no kdump support on
this platforms so no bugreports needed)







Comment 5 Adel Gadllah 2007-09-09 05:08:13 EDT
ping?
Comment 6 David Lehman 2007-10-01 12:58:37 EDT
- Use a URL for Source

This will be decided by the details of the Fedora package hosting
infrastructure. It may be a URL or it may be a tarball w/ revision control
information as seen here:
http://fedoraproject.org/wiki/Packaging/SourceURL#head-615f6271efb394ab340a93a6cf030f2d08cf0d49

- Fix URL

When/if the package is accepted I will create a page on the Fedora wiki and
reference it via URL in the spec file. No point in creating a dummy page since
it is only temporary.

- use smp_flags

There is no need for mflags since there is no code to compile -- it is all
python. I can add them if required, but it is not necessary.

- Add comments to the ExcludeArch (I assume that there is no kdump support on
this platforms so no bugreports needed)

Fair enough.
Comment 7 Lubomir Kundrak 2007-10-03 17:12:05 EDT
License: GPL
This is no longer valid. For this package the correct one is:
License: GPL2+

Everything else seems fine to me. I'll approve this one you change the license
tag. Thanks for the package!
Comment 9 Lubomir Kundrak 2007-10-19 16:53:36 EDT
+ desktop-file-install --vendor system --delete-original --dir
/var/tmp/system-config-kdump-1.0.12-2.fc8-root-mockbuild/usr/share/applications
--add-category X-Red-Hat-Base
/var/tmp/system-config-kdump-1.0.12-2.fc8-root-mockbuild/usr/share/applications/system-config-kdump.desktop
/var/tmp/system-config-kdump-1.0.12-2.fc8-root-mockbuild/usr/share/applications/system-config-kdump.desktop:
error: value "System;Application;SystemSetup;GTK;X-Red-Hat-Base;" for key
"Categories" in group "Desktop Entry" contains an unregistered value "SystemSetup"
desktop-file-install created an invalid desktop file!
error: Bad exit status from /var/tmp/rpm-tmp.4980 (%install)

Whoa, one more thing. This is on fc8 ^^^
Comment 10 Ray Strode [halfline] 2007-10-20 15:07:01 EDT
Note there is no redhat-artwork package anymore (see bug 305441).   You'll need
to change the Requires to one of the split packages.   wrt to comment 9, you
probably want Categories to just be:

Categories=System;Settings;

in the .desktop file
Comment 11 David Lehman 2007-10-23 01:12:46 EDT
http://people.redhat.com/dlehman/s-c-kdump/system-config-kdump-1.0.12-3.fc8.src.rpm
http://people.redhat.com/dlehman/s-c-kdump/system-config-kdump.spec

This time I actually rebuilt on F8.

Since I don't even know why I had a require on redhat-artwork I just removed it.
Was that a bad move?
Comment 12 Lubomir Kundrak 2007-10-23 09:42:33 EDT
$ wget
http://people.redhat.com/dlehman/s-c-kdump/system-config-kdump-1.0.12-3.fc8.src.rpm
--15:42:15-- 
http://people.redhat.com/dlehman/s-c-kdump/system-config-kdump-1.0.12-3.fc8.src.rpm
           => `system-config-kdump-1.0.12-3.fc8.src.rpm'
Resolving people.redhat.com... 172.16.48.237
Connecting to people.redhat.com|172.16.48.237|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 0 [application/x-rpm]

    [ <=>                                                                      
                                ] 0             --.--K/s             

15:42:15 (0.00 B/s) - `system-config-kdump-1.0.12-3.fc8.src.rpm' saved [0/0]

$ file system-config-kdump-1.0.12-3.fc8.src.rpm 
system-config-kdump-1.0.12-3.fc8.src.rpm: empty
$
Comment 13 Lubomir Kundrak 2007-10-23 09:45:36 EDT
Though I didn't see your patch because of reasons in comment #12, I think you
could avoid patching the source just by using --remove-category arguments to
desktop-file-install.
Comment 14 David Lehman 2007-10-23 11:12:27 EDT
http://people.redhat.com/dlehman/s-c-kdump/system-config-kdump-1.0.12-4.fc8.src.rpm
http://people.redhat.com/dlehman/s-c-kdump/system-config-kdump.spec

I took your advice about using desktop-file-install args instead of patching --
desktop-file-install isn't very forthcoming about its capabilities.
Comment 15 Lubomir Kundrak 2007-10-23 11:31:17 EDT
Only thing is that my advise about changing license tag to GPL2+ was wrong, the
right one would be GPLv2+. Since this is a trivial change and can't go wrong, I
approve the pacakge for inclusion in Fedora so that it is not delayed any longer.

APPROVED

Thanks for the package, Dave!
Comment 17 Lubomir Kundrak 2007-10-29 12:37:21 EDT
Already APPROVED (comment #15).
Please request the CVS module.
Comment 18 David Lehman 2007-12-05 11:18:04 EST
New Package CVS Request
=======================
Package Name: system-config-kdump
Short Description: A graphical tool for configuring kernel crash dumping
Owners: dlehman
Branches: 
InitialCC: 
Cvsextras Commits: no
Comment 19 Lubomir Kundrak 2007-12-05 11:26:43 EST
Dave: Do you have a good reason for not allowing cvsextras commits?

Especially your slower response time might mean that the package might benefit
from community's work on maintenance of the package. (I may as well be wrong.)
Comment 20 David Lehman 2007-12-05 11:53:14 EST
Having read the fedora-devel-list thread on the matter, I think cvsextras
commits should be allowed for this package.
Comment 21 Kevin Fenzi 2007-12-05 14:19:40 EST
cvs done.
Comment 22 Lubomir Kundrak 2008-02-27 12:53:20 EST
I see system-config-kdump-1.0.13-2.fc9 built. Closing.

Note You need to log in before you can comment on or make changes to this bug.